"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractAxiosClient = void 0;
const tslib_1 = require("tslib");
/**
 * @prettier
 */
const qs_1 = tslib_1.__importDefault(require("qs"));
const axios_1 = tslib_1.__importDefault(require("axios"));
class AbstractAxiosClient {
    axios;
    basePath;
    defaultHeaders;
    defaultTimeout;
    constructor(config) {
        this.axios = config.axios ?? axios_1.default;
        this.basePath = config.basePath;
        this.defaultHeaders = config.defaultHeaders;
        this.defaultTimeout = config.defaultTimeout;
    }
    _query(params) {
        const definedParams = Object.entries(params).filter(([, v]) => v !== undefined);
        if (!definedParams.length) {
            return "";
        }
        return ("?" + qs_1.default.stringify(Object.fromEntries(definedParams), { indices: false }));
    }
    _headers(headers) {
        return Object.fromEntries(Object.entries({ ...this.defaultHeaders, ...headers }).filter((it) => it[1] !== undefined));
    }
}
exports.AbstractAxiosClient = AbstractAxiosClient;
//# sourceMappingURL=main.js.map